diff mbox

[PULL,44/47] iotests: Source common.env

Message ID 1403896146-3063-45-git-send-email-kwolf@redhat.com
State New
Headers show

Commit Message

Kevin Wolf June 27, 2014, 7:09 p.m. UTC
From: Max Reitz <mreitz@redhat.com>

Source common.env in the iotests' check script.

Signed-off-by: Max Reitz <mreitz@redhat.com>
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 tests/qemu-iotests/check | 6 ++++++
 1 file changed, 6 insertions(+)
diff mbox

Patch

diff --git a/tests/qemu-iotests/check b/tests/qemu-iotests/check
index 69f328b..992b91e 100755
--- a/tests/qemu-iotests/check
+++ b/tests/qemu-iotests/check
@@ -103,6 +103,12 @@  then
     export QEMU_NBD_PROG="$build_root/qemu-nbd"
 fi
 
+# we need common.env
+if ! . "$build_iotests/common.env"
+then
+    _init_error "failed to source common.env (make sure the qemu-iotests are run from tests/qemu-iotests in the build tree)"
+fi
+
 # we need common.config
 if ! . "$source_iotests/common.config"
 then